/* $Id: dmi_def.h,v 1.1.1.1 2002/01/03 14:52:03 berar Exp $ */
/*  dmi_def.h carte dmi IPN-orsay  */
/* jfberar                               */
/*-----------------------------------------------------------*/
#define DMI_TITLE  "DMI images from IPN/Orsay"

#include "xy_def.h"
/*-----------------------------------------------------------*/
/*  open the file, get the header and seek to its end        */
XY_HDR  *dmi_open (char *name, char *msg, int quick); 
INT16U  *dmi_getdark(XY_HDR *h, IMAGE *img, int first, int last, float z_cosmic, float t_cosmic);
int      dmi_getraw (XY_HDR *h, IMAGE *img, INT16U *val, int pos);
int      dmi_getimg (XY_HDR *h, IMAGE *img, int pos);
/*-----------------------------------------------------------*/

#ifdef DEF_XY_DMI
#ifdef XY_DEFINED
#error "XY_MACROS can only be defined once"
#endif

#define XY_DEFINED
#define XY_OPEN      dmi_open
#define XY_GETDARK   dmi_getdark
#define XY_GETRAW    dmi_getraw
#define XY_GETIMG    dmi_getimg
#define XY_TITLE     DMI_TITLE
#endif



