/* $Id: edf_def.h,v 1.1.1.1 2002/01/03 14:52:03 berar Exp $ */
/*  edf_def.h esrf data format  */
/* jfberar                               */
/*-----------------------------------------------------------*/
#define EDF_TITLE  "Edf (esrf data file)"

#include "xy_def.h"
/*-----------------------------------------------------------*/
/*-----------------------------------------------------------*/
/*  open the file, get the header and seek to its end        */
XY_HDR  *edf_open (char *name, char *msg, int quick); 
void    *edf_getdark(XY_HDR *h, IMAGE *img, int first, int last, 
          float z_cosmic, float t_cosmic, int mode, FILE *f_out);
int      edf_getraw (XY_HDR *h, IMAGE *img, void *val, int pos);
int      edf_getimg (XY_HDR *h, IMAGE *img, int pos);
int      edf_chkhdr (XY_HDR *h1, XY_HDR *h2);
void     edf_free   (XY_HDR *h);
void     edf_fputhdr(FILE *f, XY_HDR *hdr);
/*-----------------------------------------------------------*/
/*       xy_edfstr is a common xy_lib.c functions            */
void     edf_write  (IMAGE *img, T_DATA cas);
/*-----------------------------------------------------------*/


#ifdef DEF_XY_EDF
#ifdef XY_DEFINED
#error "XY_MACROS can only be defined once"
#endif

#define XY_DEFINED
#define XY_OPEN      edf_open
#define XY_GETDARK   edf_getdark
#define XY_GETRAW    edf_getraw
#define XY_GETIMG    edf_getimg
#define XY_TITLE     EDF_TITLE
#endif



